## groovy.util.slurpersupport
Class NodeChildren

author:
  John Wilson

Field Summary
`int` | `size`

Constructor Summary
`NodeChildren(GPathResult parent, String name, String namespacePrefix, Map namespaceTagHints)`
`NodeChildren(GPathResult parent, String name, Map namespaceTagHints)`
`NodeChildren(GPathResult parent, Map namespaceTagHints)`

Method Summary
`void` | `appendNode(Object newValue)`
`void` | `build(GroovyObject builder)`
`Iterator` | `childNodes()`
`GPathResult` | `find(Closure closure)`
`GPathResult` | `findAll(Closure closure)`
`Iterator` | `iterator()`
`Iterator` | `nodeIterator()`
`GPathResult` | `parents()`
`void` | `replaceBody(Object newValue)`
`void` | `replaceNode(Closure newValue)`
`int` | `size()`
`String` | `text()`
`Writer` | `writeTo(Writer out)`

Constructor Detail

### NodeChildren

    public NodeChildren(GPathResult parent, String name, String namespacePrefix, Map namespaceTagHints)

  param:
    parent
  param:
    name
  param:
    namespacePrefix
  param:
    namespaceTagHints

### NodeChildren

    public NodeChildren(GPathResult parent, String name, Map namespaceTagHints)

  param:
    parent
  param:
    name
  param:
    namespaceTagHints

### NodeChildren

    public NodeChildren(GPathResult parent, Map namespaceTagHints)

  param:
    parent
  param:
    namespaceTagHints

Method Detail

### appendNode

    void appendNode(Object newValue)

### build

    public void build(GroovyObject builder)

### childNodes

    public Iterator childNodes()

### find

    public GPathResult find(Closure closure)

### findAll

    public GPathResult findAll(Closure closure)

### iterator

    public Iterator iterator()

### nodeIterator

    public Iterator nodeIterator()

### parents

    public GPathResult parents()

### replaceBody

    void replaceBody(Object newValue)

### replaceNode

    void replaceNode(Closure newValue)

### size

    public int size()

### text

    public String text()

### writeTo

    public Writer writeTo(Writer out)